# Hands-on Full-Stack Web Development with GraphQL and React

<a href="https://www.packtpub.com/web-development/hands-full-stack-web-development-graphql-and-react?utm_source=github&utm_medium=repository&utm_campaign=9781789134520 "><img src="https://www.packtpub.com/sites/default/files/cover_B10514.png" alt="Hands-on Full-Stack Web Development with GraphQL and React" height="256px" align="right"></a>

This is the code repository for [Hands-on Full-Stack Web Development with GraphQL and React](https://www.packtpub.com/web-development/hands-full-stack-web-development-graphql-and-react?utm_source=github&utm_medium=repository&utm_campaign=9781789134520), published by Packt.

**Build scalable full-stack applications while learning to solve complex problems with GraphQL**

## What is this book about?
React, one of the most widely used JavaScript frameworks, allows developers to build fast and scalable front end applications for any use case. GraphQL is the modern way of querying an API. It represents an alternative to REST and is the next evolution in web development. Combining these two revolutionary technologies will give you a future-proof and scalable stack you can start building your business around.

This book covers the following exciting features:
* Resolve data from multi-table database and system architectures 
* Build a GraphQL API by implementing models and schemas with Apollo and Sequelize 
* Set up an Apollo Client and build front end components using React 
* Use Mocha to test your full-stack application 
* Write complex React components and share data across them 
* Deploy your application using Docker 

If you feel this book is for you, get your [copy](https://www.amazon.com/dp/1789134528) today!

<a href="https://www.packtpub.com/?utm_source=github&utm_medium=banner&utm_campaign=GitHubBanner"><img src="https://raw.githubusercontent.com/PacktPublishing/GitHub/master/GitHub.png" 
alt="https://www.packtpub.com/" border="5" /></a>

## Instructions and Navigations
All of the code is organized into folders. For example, Chapter02.

The code will look like the following:
```
state = {
posts: posts
}
```

**Following is what you need for this book:**
The book is for web developers who want to enhance their skills and build complete full stack applications using industry standards. Familiarity with JavaScript, React, and GraphQL is expected to get the most from this book.

With the following software and hardware list you can run all code files present in the book (Chapter 1-13).
### Software and Hardware List
| Chapter | Software required | OS required |
| -------- | ------------------------------------ | ----------------------------------- |
| 1 | Node.js 10+, NMP 6+, React Developer Tools | Windows and Linux (Any) |
| 2 | Postman | Windows and Linux (Any) |
| 3 | MySQL 5+, PHP 7+, Apache, phpMyAdmin 4+ | Windows and Linux (Any) |
| 4 | Apollo Client Developer Tools | Windows and Linux (Any) |


### Related products
* React Cookbook [[Packt]](https://www.packtpub.com/web-development/react-cookbook?utm_source=github&utm_medium=repository&utm_campaign=9781783980727 ) [[Amazon]](https://www.amazon.com/dp/1783980729)

* Learn React with TypeScript 3 [[Packt]](https://www.packtpub.com/web-development/learn-react-typescript-3?utm_source=github&utm_medium=repository&utm_campaign=9781789610253 ) [[Amazon]](https://www.amazon.com/dp/1789610257)


## Get to Know the Author
**Sebastian Grebe**
is a verified computer science expert for application development. He is a young entrepreneur working on a variety of products. He specializes in web development using modern technologies such as React and FeathersJS, traditional technologies such as PHP and SQL. He developed professionally by merging old and new applications, and developing cross-platform apps with React Native and Ionic.
Currently, he is actively working on his software agency, called Open Mind, which manages various software projects. He is also actively pushing a social network app that utilizes React, Apollo, and Cordova, which is called Coupled. He has worked for various companies as a software engineer and project manager, such as DB Netz AG.




### Suggestions and Feedback
[Click here](https://docs.google.com/forms/d/e/1FAIpQLSdy7dATC6QmEL81FIUuymZ0Wy9vH1jHkvpY57OiMeKGqib_Ow/viewform) if you have any feedback or suggestions.


